Bug 1185509 - Review Request: python-photutils - Astropy affiliated package for image photometry tasks
Summary: Review Request: python-photutils - Astropy affiliated package for image phot...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian "der-flo" Lehner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: Astronomy-SIG
TreeView+ depends on / blocked
 
Reported: 2015-01-24 00:32 UTC by Sergio Pascual
Modified: 2015-02-17 08:07 UTC (History)
2 users (show)

Fixed In Version: python-photutils-0.1-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 08:07:30 UTC
Type: ---
dev: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Sergio Pascual 2015-01-24 00:32:49 UTC
Spec URL: http://guaix.fis.ucm.es/~spr/fedora/python-photutils.spec
SRPM URL: http://guaix.fis.ucm.es/~spr/fedora/python-photutils-0.1-1.fc21.src.rpm
Description: Photutils contains functions for:
 * estimating the background and background rms in astronomical images
 * detecting sources in astronomical images
 * estimating morphological parameters of those sources (e.g., 
    centroid and shape parameters)
 * performing aperture and PSF photometry
 
Fedora Account System Username: sergiopr

Comment 1 Florian "der-flo" Lehner 2015-01-25 13:45:48 UTC
hi Sergio!

Your package doesn't build on all archs.
See: http://koji.fedoraproject.org/koji/taskinfo?taskID=8719823

In %check some tests fail.

Cheers,
 flo

Comment 2 Sergio Pascual 2015-01-26 22:54:51 UTC
I think it's a problem with the precision of some results. I havre reported it upstream https://github.com/astropy/photutils/issues/242

Meanwhile, I have disabled the offending tests

Spec URL: http://guaix.fis.ucm.es/~spr/fedora/python-photutils.spec
SRPM URL: http://guaix.fis.ucm.es/~spr/fedora/python-photutils-0.1-2.fc21.src.rpm

Comment 3 Florian "der-flo" Lehner 2015-01-27 17:53:05 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "Unknown or generated". 121 files have unknown license.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
     Note: Especially check following dirs for bundled code:
     /home/flo/review/1185509-python-photutils/upstream-
     unpacked/Source0/photutils-0.1/astropy_helpers/astropy_helpers/sphinx/ext
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-photutils
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=8739397
[-]: %check is present and all tests pass.
   ---> disabled temporaly due to a bug and reported upstream
        https://github.com/astropy/photutils/issues/242
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-photutils-0.1-2.fc22.x86_64.rpm
          python3-photutils-0.1-2.fc22.x86_64.rpm
          python-photutils-0.1-2.fc22.src.rpm
python-photutils.x86_64: W: spelling-error Summary(en_US) Astropy -> Stroppy
python-photutils.x86_64: W: spelling-error Summary(en_US) photometry -> photometer, optometry
python-photutils.x86_64: W: spelling-error %description -l en_US rms -> ems, rm, rs
python-photutils.x86_64: W: spelling-error %description -l en_US centroid -> centrist
python-photutils.x86_64: W: spelling-error %description -l en_US photometry -> photometer, optometry
python3-photutils.x86_64: W: spelling-error %description -l en_US rms -> ems, rm, rs
python3-photutils.x86_64: W: spelling-error %description -l en_US centroid -> centrist
python3-photutils.x86_64: W: spelling-error %description -l en_US photometry -> photometer, optometry
python-photutils.src: W: spelling-error Summary(en_US) Astropy -> Stroppy
python-photutils.src: W: spelling-error Summary(en_US) photometry -> photometer, optometry
python-photutils.src: W: spelling-error %description -l en_US rms -> ems, rm, rs
python-photutils.src: W: spelling-error %description -l en_US centroid -> centrist
python-photutils.src: W: spelling-error %description -l en_US photometry -> photometer, optometry
3 packages and 0 specfiles checked; 0 errors, 13 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
python-photutils (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    python(abi)
    python-astropy
    python-scikit-image
    rtld(GNU_HASH)

python3-photutils (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.4m.so.1.0()(64bit)
    python(abi)
    python3-astropy
    python3-scikit-image
    rtld(GNU_HASH)



Provides
--------
python-photutils:
    python-photutils
    python-photutils(x86-64)

python3-photutils:
    python3-photutils
    python3-photutils(x86-64)



Unversioned so-files
--------------------
python-photutils: /usr/lib64/python2.7/site-packages/photutils/geometry/circular_overlap.so
python-photutils: /usr/lib64/python2.7/site-packages/photutils/geometry/core.so
python-photutils: /usr/lib64/python2.7/site-packages/photutils/geometry/elliptical_overlap.so
python-photutils: /usr/lib64/python2.7/site-packages/photutils/geometry/rectangular_overlap.so
python3-photutils: /usr/lib64/python3.4/site-packages/photutils/geometry/circular_overlap.cpython-34m.so
python3-photutils: /usr/lib64/python3.4/site-packages/photutils/geometry/core.cpython-34m.so
python3-photutils: /usr/lib64/python3.4/site-packages/photutils/geometry/elliptical_overlap.cpython-34m.so
python3-photutils: /usr/lib64/python3.4/site-packages/photutils/geometry/rectangular_overlap.cpython-34m.so

Source checksums
----------------
https://pypi.python.org/packages/source/p/photutils/photutils-0.1.tar.gz :
  CHECKSUM(SHA256) this package     : c30fb6a796145cb9edc91e18303e5ba7d30539f52ef30f0454f20041dc781d3a
  CHECKSUM(SHA256) upstream package : c30fb6a796145cb9edc91e18303e5ba7d30539f52ef30f0454f20041dc781d3a


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1185509
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


===== Solution =====
      APPROVED

Comment 4 Sergio Pascual 2015-01-27 22:39:21 UTC
New Package SCM Request
=======================
Package Name: python-photutils
Short Description: Astropy affiliated package for image photometry tasks
Upstream URL: http://photutils.readthedocs.org/en/latest/
Owners: sergiopr
Branches: f21
InitialCC:

Comment 5 Gwyn Ciesla 2015-01-28 11:57:13 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2015-01-29 01:18:25 UTC
python-photutils-0.1-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-photutils-0.1-3.fc21

Comment 7 Fedora Update System 2015-01-30 04:30:52 UTC
python-photutils-0.1-3.fc21 has been pushed to the Fedora 21 testing repository.

Comment 8 Fedora Update System 2015-02-17 08:07:30 UTC
python-photutils-0.1-3.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.